{% extends 'base.html' %}
{% load static %}
{% block title %}
    Home
{% endblock title %}
{% block content %}
    <main>
        <div class="section content mt-4 is-size-6-mobile is-size-6-tablet is-size-5-desktop">
            <div class="container is-max-desktop">
                {% if not user.is_active %}
                    <div class="columns is-centered">
                        <div class="column is-two-thirds">
                            <div class="notification has-text-centered is-warning">
                                Please confirm your email address to complete the registration
                            </div>
                        </div>
                    </div>
                {% elif user.groups.all|length == 0 and not user.is_superuser %}
                    <div class="columns is-centered">
                        <div class="column is-two-thirds">
                            <div class="notification has-text-centered is-warning">
                                Please wait for an administrator to grant you privileges...
                            </div>
                        </div>
                    </div>
                {% else %}
                    <div class="columns">
                        <div class="column is-narrow is-centered">
                            <h2>Welcome to your home page {{ user.full_name }}.</h2>
                            <div>What would you like to do?</div>
                            {% if perms.study_sessions.can_start_session %}
                                <h2 class="mt-5 is-size-5 has-text-weight-bold">Study sessions</h2>
                                <a class="button is-info min-width-230 mt-2"
                                   href="{% url 'start_study_session' %}">
                                    <i class="fa-solid fa-users-rectangle mr-1"></i>
                                    Start a study session
                                </a>
                            {% endif %}
                            {% if perms.study_sessions.change_studysessionhelper %}
                                <h2 class="mt-5 is-size-5 has-text-weight-bold">Helper</h2>
                                <div class="buttons has-addons mt-2">
                                    <a class="button is-success min-width-115" href="{% url 'add_helper' %}">
                                        <i class="fa-solid fa-user-plus mr-1"></i>
                                        Add
                                    </a>
                                    <a class="button is-danger min-width-115"
                                       href="{% url 'remove_helper' %}">
                                        <i class="fa-solid fa-user-minus mr-1"></i>
                                        Remove
                                    </a>
                                </div>
                            {% endif %}
                            {% if perms.study_sessions.can_start_session %}
                                <h2 class="mt-5 is-size-5 has-text-weight-bold">Assistants</h2>
                                <div class="buttons has-addons mt-2">
                                    <a class="button is-success min-width-115"
                                       href="{% url 'add_assistant' %}">
                                        <i class="fa-solid fa-user-plus mr-1"></i>
                                        Add
                                    </a>
                                    <a class="button is-danger min-width-115"
                                       href="{% url 'remove_assistant' %}">
                                        <i class="fa-solid fa-user-minus mr-1"></i>
                                        Remove
                                    </a>
                                </div>
                            {% endif %}
                            {% if perms.study_sessions.add_student %}
                                <h2 class="mt-5 is-size-5 has-text-weight-bold">Students</h2>
                                <div>
                                    <a class="button is-success min-width-230"
                                       href="{% url 'add_student' %}">
                                        <i class="fa-solid fa-user-plus mr-1"></i>
                                        Add a student
                                    </a>
                                </div>
                                <div>
                                    <a class="button is-warning min-width-230 mt-2"
                                       href="{% url 'list_students' %}">
                                        <i class="fa-solid fa-users mr-1"></i>
                                        Students list
                                    </a>
                                </div>
                            {% endif %}
                        </div>
                        <div class="column"></div>
                    </div>
                {% endif %}
            </div>
        </div>
    </main>
{% endblock content %}
